Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class TestScript

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.QmResource
              org.eclipse.lyo.client.oslc.resources.TestScript

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class TestScript

extends QmResource

Constructor Summary
`TestScript()`

Method Summary
`void` | `addContributor(URI contributor)`
`void` | `addCreator(URI creator)`
`void` | `addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)`
`void` | `addValidatesRequirement(org.eclipse.lyo.oslc4j.core.model.Link requirement)`
`URI[]` | `getContributors()`
`URI[]` | `getCreators()`
`String` | `getDescription()`
`URI` | `getExecutionInstructions()`
`protected URI` | `getRdfType()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedChangeRequests()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getValidatesRequirements()`
`void` | `setContributors(URI[] contributors)`
`void` | `setCreators(URI[] creators)`
`void` | `setDescription(String description)`
`void` | `setExecutionInstructions(URI executionInstructions)`
`void` | `setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)`
`void` | `setValidatesRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] validatesRequirements)`

Methods inherited from class org.eclipse.lyo.client.oslc.resources.QmResource
`addRdfType, getCreated, getIdentifier, getInstanceShape, getModified, getRdfTypes, getServiceProvider, getTitle, setCreated, setIdentifier, setInstanceShape, setModified, setRdfTypes, setServiceProvider, setTitle`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestScript

    public TestScript()

Method Detail

### getRdfType

    protected URI getRdfType()

  Specified by:
    `getRdfType` in class `QmResource`

### addContributor

    public void addContributor(URI contributor)

### addCreator

    public void addCreator(URI creator)

### addRelatedChangeRequest

    public void addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)

### addValidatesRequirement

    public void addValidatesRequirement(org.eclipse.lyo.oslc4j.core.model.Link requirement)

### getContributors

    public URI[] getContributors()

### getCreators

    public URI[] getCreators()

### getDescription

    public String getDescription()

### getExecutionInstructions

    public URI getExecutionInstructions()

### getRelatedChangeRequests

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedChangeRequests()

### getValidatesRequirements

    public org.eclipse.lyo.oslc4j.core.model.Link[] getValidatesRequirements()

### setContributors

    public void setContributors(URI[] contributors)

### setCreators

    public void setCreators(URI[] creators)

### setDescription

    public void setDescription(String description)

### setExecutionInstructions

    public void setExecutionInstructions(URI executionInstructions)

### setRelatedChangeRequests

    public void setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)

### setValidatesRequirements

    public void setValidatesRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] validatesRequirements)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.